Bug 45689 - gcj internal compiler error
Summary: gcj internal compiler error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-24 21:10 UTC by dcthomp
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 15:14:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dcthomp 2001-06-24 21:10:48 UTC
Description of Problem:
gcj segfaults when I try to produce bytecode from the RELAX NG java source.

How Reproducible:
Always

Steps to Reproduce:
1. Get and unzip the source files:

   cd /tmp
   wget http://www.megginson.com/SAX/Java/sax2.zip
   unzip -x sax2.zip
   cd src
   wget http://www.thaiopensource.com/relaxng/jing-src.zip
   unzip -x jing-src.zip
   find . -type d -exec chmod ugo+x {} \;

2. Try to build class files from java in com/thaiopensource/relaxng:

   cd com/thaiopensource/relaxng
   gcj -C --output-class-dir=../../.. -I../../.. *.java


Actual Results:
gcj -C --output-class-dir=../../.. -I../../.. *.java
PatternReader.java: In class
`com.thaiopensource.relaxng.PatternReader$ExternalRefState':
PatternReader.java: In method `endAttributes()':
PatternReader.java:848: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
Validator.java: In class `com.thaiopensource.relaxng.Validator$Handler':
Validator.java: In method `attributes(org.xml.sax.Attributes)':
Validator.java:170: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:
No output to stderr

Additional Information:
Occurs with both gcc-java-2.96-81 and gcc-java-2.96-85


Note You need to log in before you can comment on or make changes to this bug.